Delete Specific ModelDeployment Version

View as Markdown
Delete a specific version of a ModelDeployment. If the deployment is in any state other than DELETED, this will set its status to DELETING. The models controller will then: 1. Delete the infrastructure (e.g., K8s NimService) 2. Update the status to DELETED If the deployment is already in DELETED status, calling delete again will permanently remove it from the database. Returns: - 202 Accepted: Deployment version marked for deletion (status set to DELETING) - 204 No Content: Deployment version permanently removed from database (was already DELETED) - 404 Not Found: Deployment version doesn't exist

Path parameters

workspacestringRequired
deploymentstringRequired
namestringRequired

Response

Deployment version marked for deletion (DELETING status)

Errors

404
Not Found Error
422
Unprocessable Entity Error